package ru.dbotthepony.kstarbound.defs.tile

import ru.dbotthepony.kstarbound.json.builder.IStringSerializable

enum class TileDamageType(override val jsonName: String, val isPenetrating: Boolean) : IStringSerializable {
	// Damage done that will not actually kill the target
	PROTECTED("protected", false),
	// Best at chopping down trees, things made of wood, etc.
	PLANT("plantish", false),
	// For digging / drilling through materials
	BLOCK("blockish", false),
	// Gravity gun etc
	BEAM("beamish", false),
	// Penetrating damage done passivly by explosions.
	EXPLOSIVE("explosive", true),
	// Can melt certain block types
	FIRE("fire", false),
	// Can "till" certain materials into others
	TILLING("tilling", false);
}
